global:
  registry: docker.io
  repository: freeleaps
  nodeSelector: {}
logIngest:
  enabled: false
reconciler:
  replicas: 1
  image:
    registry: docker.io
    repository: null
    name: reconciler
    tag: snapshot-2a5bb92
    imagePullPolicy: IfNotPresent
  ports:
  - name: http
    containerPort: 8080
    protocol: TCP
  resources:
    requests:
      cpu: '0.1'
      memory: 64Mi
    limits:
      cpu: '0.2'
      memory: 128Mi
  probes: {}
  services:
  - name: reconciler-service
    type: ClusterIP
    port: 8080
    targetPort: 8080
    serviceMonitor:
      enabled: false
      labels:
        release: kube-prometheus-stack
      namespace: freeleaps-monitoring-system
      interval: 30s
      scrapeTimeout: ''
  ingresses: {}
  configs:
    debug: 'false'
    k8sClusterDomain: kubernetes.default.svc.cluster.local
    autoDiscoverK8sClusterDomainMaxRetries: 5
    rabbitmqHost: localhost
    rabbitmqPort: 5672
    rabbitmqUsername: admin
    rabbitmqPassword: admin
    rabbitmqVhost: /
    rabbitmqInputQueue: freeleaps.devops.reconciler.input
    rabbitmqOutputQueue: freeleaps.devops.reconciler.output
    rabbitmqEnableExchangeBinding: 'true'
    rabbitmqInputExchange: freeleaps.notification.exchange
    rabbitmqInputExchangeType: direct
    rabbitmqInputRoutingKey: freeleaps.devops.reconciler.input
    rabbitmqOutputExchange: freeleaps.notification.exchange
    rabbitmqOutputRoutingKey: freeleaps.devops.reconciler.output
    jenkinsEndpoint: http://localhost:8080
    jenkinsUsername: admin
    jenkinsToken: admin
    jenkinsApiTimeout: 30
    jenkinsFolderCreationRetryCount: 3
    argocdEndpoint: http://localhost:8080
    argocdUsername: admin
    argocdPassword: admin
    argocdApiTimeout: 30
    argocdResourceCreationTimeout: 30
    defaultGitUsername: admin
    defaultGitPassword: admin
    defaultRegistryUsername: admin
    defaultRegistryPassword: admin
    kubernetesApiTimeout: 30
    defaultHttpTimeout: 30
    allowHttpGitUrls: 'false'
    logLevel: INFO
    logFormat: text
    operatorNamespace: freeleaps-devops-system
    reconcileInterval: 30
    enableMockService: 'false'
    mockServicePort: 5000
    devMode: 'false'
    godaddyApiKey: ''
    godaddyApiSecret: ''
    godaddyBaseDomain: mathmast.com
    domainTemplate: '{env}.{project_id}.mathmast.com'
    ingressClassName: nginx
    certManagerClusterIssuer: letsencrypt-prod
    dnsCreationTimeout: 300
    certificateIssuanceTimeout: 600
    ingressReadyTimeout: 300
    networkResourceCleanupTimeout: 300
    networkResourceRetryCount: 3
    networkResourceRetryDelay: 30
    serviceApiAccessHost: 0.0.0.0
    serviceApiAccessPort: '8080'
    mongodbName: ''
    mongodbUri: ''
    mongodbPort: ''
    redisUrl: ''
    redisIsCluster: 'false'
    jwtSecretKey: ''
    jwtAlgorithm: ''
    metricsEnabled: 'false'
    probesEnabled: 'false'
  vpa:
    minAllowed:
      enabled: false
      cpu: 100m
      memory: 64Mi
    maxAllowed:
      enabled: true
      cpu: 100m
      memory: 256Mi
    controlledResources:
    - cpu
    - memory
